Revoke Paired Device
curl --request DELETE \
--url https://{brand_domain}/api/mobile/v1/devices/{id} \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{brand_domain}/api/mobile/v1/devices/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}import requests
url = "https://{brand_domain}/api/mobile/v1/devices/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{brand_domain}/api/mobile/v1/devices/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{brand_domain}/api/mobile/v1/devices/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://{brand_domain}/api/mobile/v1/devices/{id}")
.header("Authorization", "Bearer <token>")
.asString();const url = 'https://{brand_domain}/api/mobile/v1/devices/{id}';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));{
"success": true,
"data": {
"message": "Device revoked"
}
}API Reference
Revoke Paired Device
Revokes a paired device. The device identifier can be its database integer ID or UUID string.
DELETE
https://{brand_domain}
/
api
/
mobile
/
v1
/
devices
/
{id}
Revoke Paired Device
Last modified on August 25, 2026
Related topics
Features and CapabilitiesBulk Revoke DevicesList Paired Companion DevicesDevicesRetrieve Device Connection StatusWas this page helpful?